from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDragSourceContext(XInterface, Protocol):
    def getCurrentCursor(self) -> int: ...
    def setCursor(self, cursorId: int) -> None: ...
    def setImage(self, imageId: int) -> None: ...
    def transferablesFlavorsChanged(self) -> None: ...
